Create a balance element

post

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement

Creates a new balance element using the supplied request payload and returns the created resource.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : BalanceElementOracle
Type: object
Title: BalanceElementOracle
The balance element represents the currency and non currency units used in Pricing.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the balance element.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source
Back to Top

Response

Supported Media Types

201 Response

The balance element was created successfully.
Body ()
Root Schema : BalanceElementOracle
Type: object
Title: BalanceElementOracle
The balance element represents the currency and non currency units used in Pricing.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : relatedParty
Type: array
A list of related parties associated with the balance element.
Show Source
  • RelatedParty
    Title: RelatedParty
    The relatedParty reference. A related party defines party or party role linked to a specific entity.
Nested Schema : TimePeriod
Type: object
Title: TimePeriod
The period for which the productOffering is valid.
Show Source
Nested Schema : RelatedParty
Type: object
Title: RelatedParty
The relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
Nested Schema : partyOrPartyRole
Type: array
A list of party or party roles associated with the related party reference or party role reference.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to create a balance element by submitting a POST request on the REST resource using cURL. You must provide a name for the balance element in the 'name' field to create it.

curl -u username:password -X POST https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/<BalanceElementSet_Name> \
-H 'Content-Type: application/json' -D @create_balanceElement.json | json_pp

Example of Request Header

The following shows an example of the request header in JSON format.

{
    "id": "USDCurrency",
    "name": "USD Currency",
    "version": "1.0",
    "lifecycleStatus": "In design",
    "@type": "BalanceElementOracle",
    "validFor": {
        "startDateTime": "2023-09-29T03:50:48.000Z"
    },
    "versionState": 0,
    "consumptionRule": "LST",
    "balanceElementType": "CURRENCY",
    "code": "USD",
    "numericCode": 840,
    "symbol": "$",
    "roundingMethod": "CALC",
    "decimalPlaces": "2",
    "project": {
        "id": "DBE_RI_ProdModel_PreSeed_PSP",
        "name": "DBE RI Product Model Preseed",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
        "version": "1.0"
    },
    "relatedParty": [
        {
            "role": "ROLE1",
            "@type": "RelatedPartyRefOrPartyRoleRef",
            "partyOrPartyRole": {
                "id": "PartyRoleID",
                "name": "PartyRoleName",
                "partyId": "partyid123",
                "partyName": "partyName",
                "@referredType": "PartyRole",
                "@type": "PartyRoleRef"
            }
        }
    ]
}

Example of Response Body

The following example shows the contents of the response body in JSON format:

{
    "id": "USDCurrency",
    "name": "USD Currency",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/USDCurrency",
    "version": "1.0",
    "lifecycleStatus": "In design",
    "created": "2025-01-03T08:36:43.001Z",
    "createdBy": "booth",
    "lastUpdate": "2025-02-18T06:59:43.031Z",
    "lastUpdatedBy": "booth",
    "@type": "BalanceElementOracle",
    "validFor": {
        "startDateTime": "2023-09-29T03:50:48.000Z"
    },
    "project": {
        "id": "DBE_RI_ProdModel_PreSeed_PSP",
        "name": "DBE RI Product Model Preseed",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
        "version": "1.0",
        "@referredType": "ProjectOracle"
    },
    "consumptionRule": "LST",
    "balanceElementType": "CURRENCY",
    "code": "USD",
    "numericCode": 840,
    "symbol": "$",
    "roundingMethod": "CALC",
    "decimalPlaces": "2",
    "relatedParty": [
        {
            "role": "ROLE1",
            "partyOrPartyRole": {
                "id": "PartyRoleID",
                "name": "PartyRoleName",
                "partyId": "partyid123",
                "partyName": "partyName",
                "@referredType": "PartyRole",
                "@type": "PartyRoleRef"
            },
            "@type": "RelatedPartyRefOrPartyRoleRef"
        }
    ]
}
Back to Top